Skip to content

Get Usage Reprice

GET /v1/projects/:project_id/usage/events/reprice/:reprice_id
Terminal window
Authorization: Bearer <api-key>

Requires usage:read.

Field Required Description
project_id Yes Project that owns the task.
reprice_id Yes Reprice operation ID.

Empty.

Terminal window
curl 'http://127.0.0.1:8080/v1/projects/proj_gateway/usage/events/reprice/urp_001' \
-H 'Authorization: Bearer <api-key>'
{
"reprice": {
"id": "urp_001",
"tenant_id": "t_001",
"project_id": "proj_gateway",
"revocation_request_id": "urv_reprice_001",
"extractor_rule_set_id": "ers_new",
"extractor_version": 3,
"reason": "old token price was incorrect",
"status": "completed",
"requested_count": 2,
"completed_count": 2,
"failed_count": 0,
"created_at": 1781222500,
"completed_at": 1781222510,
"updated_at": 1781222510
}
}